# do not build debug packages for now
%global debug_package %{nil}

%global version 2.2.0
%global revision 21.825d1aa.2.2

Name:		mcg
Version:	%{version}
Release:	%{revision}%{?dist}
Summary:	Multicloud Object Gateway command-line

License:	ASL 2.0
URL:		https://www.noobaa.com/
Source0:	noobaa-operator-21.825d1aa.2.2.tar.gz
Patch0:		set_downstream_images.patch
Patch1:		hide_install_uninstall_from_cli.patch

BuildRequires:	rsync
BuildRequires:	go-compilers-golang-compiler

%description
The Multicloud Object Gateway command-line is a tool that helps administrators to manage the deployment and
second-day operations for NooBaa systems, such as adding backing stores,
managing bucket claims, and setting mirroring and multi-cloud policies via
bucket classes. It provides a friendly interface and produces YAML files
for the operator in the background.

%prep
%setup -c
%patch0 -p1
%patch1 -p1

%build
go version
CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
strip -s noobaa-operator

%install
# Use install that provides option for file permission
install -D -p -m 755 noobaa-operator %{buildroot}%{_bindir}/noobaa
install -D -p -m 644 doc/noobaa.1 %{buildroot}%{_mandir}/man1/noobaa.1

%files
%{_bindir}/noobaa

%doc doc/*
%{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 27 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.2.0-21.825d1aa.2.2
- Rebase to mcg-operator-2.2.0-21.825d1aa.2.2

* Fri Jun 26 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.2.0-20.825d1aa.2.2
- Rebase to mcg-operator-2.2.0-20.825d1aa.2.2

* Mon Jun 22 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.2.0-19.825d1aa.2.2
- Rebase to mcg-operator-2.2.0-19.825d1aa.2.2

* Tue Jun 16 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.2.0-18.c00a7d1.2.2
- Rebase to mcg-operator-2.2.0-18.c00a7d1.2.2

* Wed May 27 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.2.0-17.3c9e4c4.2.2
- Rebase to mcg-operator-2.2.0-17.3c9e4c4.2.2

* Tue May 26 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.2.0-16.3c9e4c4.2.2
- Rebase to mcg-operator-2.2.0-16.3c9e4c4.2.2

* Wed May 20 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.2.0-15.3c9e4c4.2.2
- Rebase to mcg-operator-2.2.0-15.3c9e4c4.2.2

* Fri May 08 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.2.0-14.3c9e4c4.2.2
- Rebase to mcg-operator-2.2.0-14.3c9e4c4.2.2

* Tue May 05 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.2.0-13.3c9e4c4.2.2
- Rebase to mcg-operator-2.2.0-13.3c9e4c4.2.2

* Mon May 04 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.2.0-12.3c9e4c4.2.2
- Rebase to mcg-operator-2.2.0-12.3c9e4c4.2.2

* Thu Apr 30 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.2.0-11.3c9e4c4.2.2
- Rebase to mcg-operator-2.2.0-11.3c9e4c4.2.2

* Sun Apr 26 2020 Liran Mauda <lmauda@redhat.com> - 2.2.0-2.2
- Initial build for 2.2.0
- Update the Summary and the Description

* Mon Dec 23 2019 Liran Mauda <lmauda@redhat.com> - 2.1.0-2.1
- Initial build for 2.1.0

* Fri Dec 13 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-43.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-43.db6a79b.2.0

* Sun Oct 27 2019 Liran Mauda <lmauda@redhat.com> - 2.0.4-7
- building for x86_64 and ppc64le

* Sun Aug 25 2019 Liran Mauda <lmauda@redhat.com>
- Multi cloud gateway CLI
